Entur Developer
Orders

Fees

Server

Services related to fees on order.


Add Fee to Order

POST
https://api.staging.entur.io/sales
/v1/orders/{orderId}/fees

Add Fee to specified Order

Add Fee to Order › path Parameters

orderId
​string · required · style: simple

Order ID

Add Fee to Order › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Add Fee to Order › Request Body

Fee related to one or more OrderLines
​PriceWithTax · required

Price with included tax amounts and an optional rate.

type
​string · required

Type of Fee. Valid types: MANUAL, REFUNDING, ONBOARD, CHANGE, INVOICE, CHANGE_NON_REFUNDABLE, PENALTY, BOOKING, REDUCTION

Example: REFUND
reason
​string · required

Explanatory text describing the reason for the Fee, if applicable

Example: VYB:Refunding:HalfRefunded
Default:
orderLineIds
​string[] · required

References to the OrderLines this Fee refers to, if applicable. If empty, the fee refers to all order lines

Default: []
​RefType

Reference to a resource available in a different APIs

orderVersion
​integer · int32

The version of the Order this Fee is added to

Example: 2
​RefType

Reference to a resource available in a different APIs

Add Fee to Order › Responses

OK

Fee related to one or more OrderLines
id
​string · uuid · required

ID used to uniquely identify Fee if deletion is necessary

Example: dd3e1d71-1c96-4b88-a683-538a8724ee0d
​PriceWithTax · required

Price with included tax amounts and an optional rate.

type
​string · required

Type of Fee. Valid types: MANUAL, REFUNDING, ONBOARD, CHANGE, INVOICE, CHANGE_NON_REFUNDABLE, PENALTY, BOOKING, REDUCTION

Example: REFUND
reason
​string · required

Explanatory text describing the reason for the Fee, if applicable

Example: VYB:Refunding:HalfRefunded
Default:
orderLineIds
​string[] · required

References to the OrderLines this Fee refers to, if applicable. If empty, the fee refers to all order lines

Default: []
​RefType

Reference to a resource available in a different APIs

orderVersion
​integer · int32

The version of the Order this Fee is added to

Example: 2
​RefType

Reference to a resource available in a different APIs


Delete Fee from Order

DELETE
https://api.staging.entur.io/sales
/v1/orders/{orderId}/fees/{feeId}

Delete Fee with specified ID from Order with specified ID

Delete Fee from Order › path Parameters

orderId
​string · required · style: simple

Order ID

feeId
​string · uuid · required · style: simple

Fee ID

Delete Fee from Order › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Delete Fee from Order › Responses

No Content

No data returned

Did you find what you were looking for?